## GstDWriteBaseOverlay

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstDWriteBaseOverlay

### Properties

#### auto-resize

    “auto-resize” gboolean

Calculate font size to be equivalent to "font-size" at "reference-frame-size"

Flags : Read / Write

Default value : true

#### background-color

    “background-color” guint

Background color to use (big-endian ARGB)

Flags : Read / Write

Default value : 0

#### color-font

    “color-font” gboolean

Enable color font, requires Windows 10 or newer

Flags : Read / Write

Default value : true

#### font-family

    “font-family” gchararray

Font family to use

Flags : Read / Write

Default value : MS Reference Sans Serif

#### font-size

    “font-size” gfloat

Font size to use

Flags : Read / Write

Default value : 24

#### font-stretch

    “font-stretch” GstDWriteFontStretch *

Font Stretch

Flags : Read / Write

Default value : normal (5)

#### font-style

    “font-style” GstDWriteFontStyle *

Font Style

Flags : Read / Write

Default value : normal (0)

#### font-weight

    “font-weight” GstDWriteFontWeight *

Font Weight

Flags : Read / Write

Default value : normal (400)

#### foreground-color

    “foreground-color” guint

Foreground color to use (big-endian ARGB)

Flags : Read / Write

Default value : -1

#### layout-height

    “layout-height” gdouble

Normalized height of text layout

Flags : Read / Write

Default value : 0.92

#### layout-width

    “layout-width” gdouble

Normalized width of text layout

Flags : Read / Write

Default value : 0.92

#### layout-x

    “layout-x” gdouble

Normalized X coordinate of text layout

Flags : Read / Write

Default value : 0.03

#### layout-y

    “layout-y” gdouble

Normalized Y coordinate of text layout

Flags : Read / Write

Default value : 0.03

#### outline-color

    “outline-color” guint

Text outline color to use (big-endian ARGB)

Flags : Read / Write

Default value : -16777216

#### paragraph-alignment

    “paragraph-alignment” GstDWriteParagraphAlignment *

Paragraph Alignment

Flags : Read / Write

Default value : near (0)

#### shadow-color

    “shadow-color” guint

Shadow color to use (big-endian ARGB)

Flags : Read / Write

Default value : -2147483648

#### text

    “text” gchararray

Text to render

Flags : Read / Write

#### text-alignment

    “text-alignment” GstDWriteTextAlignment *

Text Alignment

Flags : Read / Write

Default value : leading (0)

#### visible

    “visible” gboolean

Whether to draw text

Flags : Read / Write

Default value : true

### Named constants

#### GstDWriteFontStretch

##### Members

`undefined` (0) – DWRITE_FONT_STRETCH_UNDEFINED
`ultra-condensed` (1) – DWRITE_FONT_STRETCH_ULTRA_CONDENSED
`extra-condensed` (2) – DWRITE_FONT_STRETCH_EXTRA_CONDENSED
`condensed` (3) – DWRITE_FONT_STRETCH_CONDENSED
`semi-condensed` (4) – DWRITE_FONT_STRETCH_SEMI_CONDENSED
`normal` (5) – DWRITE_FONT_STRETCH_NORMAL
`medium` (5) – DWRITE_FONT_STRETCH_MEDIUM
`semi-expanded` (6) – DWRITE_FONT_STRETCH_SEMI_EXPANDED
`expanded` (7) – DWRITE_FONT_STRETCH_EXPANDED
`extra-expanded` (8) – DWRITE_FONT_STRETCH_EXTRA_EXPANDED
`ultra-expanded` (9) – DWRITE_FONT_STRETCH_ULTRA_EXPANDED

#### GstDWriteFontStyle

##### Members

`normal` (0) – DWRITE_FONT_STYLE_NORMAL
`oblique` (1) – DWRITE_FONT_STYLE_OBLIQUE
`italic` (2) – DWRITE_FONT_STYLE_ITALIC

#### GstDWriteFontWeight

##### Members

`thin` (100) – DWRITE_FONT_WEIGHT_THIN
`extra-light` (200) – DWRITE_FONT_WEIGHT_EXTRA_LIGHT
`ultra-light` (200) – DWRITE_FONT_WEIGHT_ULTRA_LIGHT
`light` (300) – DWRITE_FONT_WEIGHT_LIGHT
`semi-light` (350) – DWRITE_FONT_WEIGHT_SEMI_LIGHT
`normal` (400) – DWRITE_FONT_WEIGHT_NORMAL
`regular` (400) – DWRITE_FONT_WEIGHT_REGULAR
`medium` (500) – DWRITE_FONT_WEIGHT_MEDIUM
`demi-bold` (600) – DWRITE_FONT_WEIGHT_DEMI_BOLD
`semi-bold` (600) – DWRITE_FONT_WEIGHT_SEMI_BOLD
`bold` (700) – DWRITE_FONT_WEIGHT_BOLD
`extra-bold` (800) – DWRITE_FONT_WEIGHT_EXTRA_BOLD
`ultra-bold` (800) – DWRITE_FONT_WEIGHT_ULTRA_BOLD
`black` (900) – DWRITE_FONT_WEIGHT_BLACK
`heavy` (900) – DWRITE_FONT_WEIGHT_HEAVY
`extra-black` (950) – DWRITE_FONT_WEIGHT_EXTRA_BLACK
`ultra-black` (950) – DWRITE_FONT_WEIGHT_ULTRA_BLACK

#### GstDWriteParagraphAlignment

##### Members

`near` (0) – DWRITE_PARAGRAPH_ALIGNMENT_NEAR
`far` (1) – DWRITE_PARAGRAPH_ALIGNMENT_FAR
`center` (2) – DWRITE_PARAGRAPH_ALIGNMENT_CENTER

#### GstDWriteTextAlignment

##### Members

`leading` (0) – DWRITE_TEXT_ALIGNMENT_LEADING
`trailing` (1) – DWRITE_TEXT_ALIGNMENT_TRAILING
`center` (2) – DWRITE_TEXT_ALIGNMENT_CENTER
`justified` (3) – DWRITE_TEXT_ALIGNMENT_JUSTIFIED

The results of the search are